<?php

declare(strict_types=1);

namespace Hexspoor\MonitorClient\Contracts;

use Hexspoor\MonitorClient\LogType;

interface LoggerContract
{
    public function log(string $message, int $logTypeId = LogType::LOG, ?int $statusCode = null, ?int $monitorRuleId = null): int;
}
